/******************************************************************************
* C Include: Astrometric Calibration                                          *
*                                                                             *
* File:                                                                       *
*    astrmcal.h                                                               *
*                                                                             *
* Description:                                                                *
*    Include file for the functions that apply astrometric calibrations       *
*                                                                             *
* History:                                                                    *
*    Created    : 15-JUN-93 by J. Doggett,                                    *
*       for the Association of Universities for Research in Astronomy, Inc.   *
*          at the Space Telescope Science Institute,                          *
*       to facilitate the accessing of data from the CD-ROM set of the        *
*          Digitized Sky Survey.                                              *
*    Delivered  : 01-MAR-94 by J. Doggett,                                    *
*       GetImage Version 1.0                                                  *
*                                                                             *
* Copyright (c) 1993, 1994, Association of Universities for Research in       *
* Astronomy, Inc.  All Rights Reserved.                                       *
* Produced under National Aeronautics and Space Administration grant          *
* NAG W-2166.                                                                 *
******************************************************************************/
#ifndef __ASTRMCAL__
#define __ASTRMCAL__

#include "header.h"

/***********************************************
* Astrometric Calibration functions' protoypes *
***********************************************/
extern void amdinv  (/* HEADER header,
			double  ra    ,
			double  dec   ,
			float   mag   ,
			float   col   ,
			float  *x     ,
			float  *y      */);

extern void amdpos  (/* HEADER  h     ,
			double  x     ,
			double  y     ,
			double  mag   ,
			double  colur ,
			double *ra    ,
			double *dec    */);

extern void pltmodel(/* HEADER  header,
			double  x     ,
			double  y     ,
			double  mag   ,
			double  col   ,
			double *f     ,
			double *fx    ,
			double *fy    ,
			double *g     ,
			double *gx    ,
			double *gy     */);

extern void ppoinv  (/* HEADER  header,
			double  ra    ,
			double  dec   ,
			float  *x     ,
			float  *y      */);


/********************************************
* Astrometric Calibration include file page 2
********************************************/

extern void xypos   (/* HEADER  header,
			double  ra    ,
			double  dec   ,
			float   mag   ,
			float   col   ,
			double *x     ,
			double *y      */);

#endif
